## rauc 1.10.1

=== meson_options.txt ===
# feature options
option(
  'service',
  type : 'boolean',
  value : 'true',
  description : 'Enable/Disable background service')
option(
  'create',
  type : 'boolean',
  value : 'true',
  description : 'Enable/Disable bundle creation and modification commands')
option(
  'network',
  type : 'boolean',
  value : 'true',
  description : 'Enable/Disable network update mode')
option(
  'streaming',
  type : 'boolean',
  value : 'true',
  description : 'Enable/Disable streaming update mode')
option(
  'json',
  type : 'feature',
  value : 'enabled',
  description : 'Enable/Disable JSON support')
option(
  'gpt',
  type : 'feature',
  value : 'auto',
  description : 'Enable/Disable GPT support')

# other options
option(
  'streaming_user',
  type : 'string',
  value : 'nobody',
  description : 'unpriviledged user for the streaming subprocess')

# path options
option(
  'systemdunitdir',
  type : 'string',
  value : '',
  description : 'Directory for systemd service files')
option(
  'dbuspolicydir',
  type : 'string',
  value : '',
  description : 'D-Bus policy directory')
option(
  'dbussystemservicedir',
  type : 'string',
  value : '',
  description : 'D-Bus system service directory')
option(
  'dbusinterfacesdir',
  type : 'string',
  value : '',
  description : 'D-Bus interfaces directory')

# build options
option(
  'tests',
  type : 'boolean',
  value : 'true',
  description : 'Enable/Disable test suite')

## rauc 1.2

=== debian/changelog ===
rauc (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream, update remaining patches.
  * Add upstream patch to fix typos.
  * Add build dependency on libdbus-dev.
  * Update extend-diff-ignore in d/source/options.
  * Update standards version to 4.4.0.
  * Update upstream copyright years.
  * Add "Rules-Requires-Root: no" to d/control.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 18 Nov 2019 17:32:05 +0700

rauc (1.1-2) unstable; urgency=medium

  [ Uwe Kleine-König ]
  * Cherry pick fix from upstream that removes a wrong test that made rauc
    FTBFS. (commit: 35c98ab18f)
  * Cherry pick fix from upstream that makes rauc work on big endian.
    (commit: bc25067177)
  * Another test fix by Enrico Jörns from
    https://github.com/rauc/rauc/pull/476.
  * The three above changes fix rauc's testsuite and so make rauc build again.
    (Closes: #939975)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Wed, 11 Sep 2019 07:45:32 +0700

rauc (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #916210)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 14 Jun 2019 09:06:06 +0700

=== debian/control ===
Source: rauc
Section: admin
Priority: optional
Maintainer: Arnaud Rebillout <arnaud.rebillout@collabora.com>
Build-Depends:
 casync <!nocheck>,
 dbus <!nocheck>,
 dbus-x11 <!nocheck>,
 debhelper-compat (= 12),
 e2fsprogs <!nocheck>,
 faketime <!nocheck>,
 grub-common <!nocheck>,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libglib2.0-dev (>= 2.40),
 libjson-glib-dev,
 libssl-dev | libssl1.0-dev,
 libtool,
 squashfs-tools <!nocheck>,
 systemd,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/rauc/rauc
Vcs-Browser: https://salsa.debian.org/debian/rauc
Vcs-Git: https://salsa.debian.org/debian/rauc.git

Package: rauc
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 dbus,
 systemd,
Suggests:
 casync,
 cryptsetup-bin,
 dosfstools,
 e2fsprogs,
 efibootmgr,
 grub-common,
 mtd-utils,
 squashfs-tools,
 u-boot-tools,
Description: Robust Auto-Update Controller - binary
 Safe and secure software updates for embedded Linux
 .
 RAUC controls the update process on embedded Linux systems. It is both a target
 application that runs as an update client and a host/target tool that allows
 you to create, inspect and modify installation artifacts.
 .
 This package provides the rauc binary.

Package: rauc-service
Architecture: all
Depends:
 ${misc:Depends},
 rauc,
Description: Robust Auto-Update Controller - service
 Safe and secure software updates for embedded Linux
 .
 RAUC controls the update process on embedded Linux systems. It is both a target
 application that runs as an update client and a host/target tool that allows
 you to create, inspect and modify installation artifacts.
 .
 This package provides the rauc service files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## rauc 1.3

=== debian/changelog ===
rauc (1.3-1) unstable; urgency=medium

  * Adopt package - Big thanks to Arnaud for his work on rauc.
  * New upstream release.
  * Update standards version to 4.5.0.

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 30 Jun 2020 16:13:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rauc
 Section: admin
 Priority: optional
-Maintainer: Arnaud Rebillout <arnaud.rebillout@collabora.com>
+Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends:
  casync <!nocheck>,
  dbus <!nocheck>,
@@ -19,7 +19,7 @@
  squashfs-tools <!nocheck>,
  systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git

## rauc 1.5.1

=== debian/changelog ===
rauc (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 02 Feb 2021 12:34:39 +0100

rauc (1.5-1) unstable; urgency=medium

  * New upstream release, fixing CVE-2020-25860
  * Update standards version to 4.5.1.

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 17 Dec 2020 12:43:25 +0100

rauc (1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 14 Sep 2020 08:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  grub-common <!nocheck>,
  libcurl4-gnutls-dev | libcurl-dev,
  libdbus-1-dev,
+ libfdisk-dev,
  libglib2.0-dev (>= 2.40),
  libjson-glib-dev,
  libssl-dev | libssl1.0-dev,
@@ -19,7 +20,7 @@
  squashfs-tools <!nocheck>,
  systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable --no-start
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gpt

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/\.tar\.xz$/$0.asc/,\
uversionmangle=s/-rc/~rc/ \
  https://github.com/rauc/rauc/releases .*/rauc-(\d\S+)\.tar\.xz

## rauc 1.6

=== debian/changelog ===
rauc (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.0.

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 11 Feb 2022 14:53:29 +0100

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,20 @@
  grub-common <!nocheck>,
  libcurl4-gnutls-dev | libcurl-dev,
  libdbus-1-dev,
+ libengine-pkcs11-openssl <!nocheck>,
  libfdisk-dev,
  libglib2.0-dev (>= 2.40),
  libjson-glib-dev,
  libssl-dev | libssl1.0-dev,
  libtool,
+ opensc <!nocheck>,
+ opensc-pkcs11 <!nocheck>,
+ openssl <!nocheck>,
+ softhsm2 <!nocheck>,
  squashfs-tools <!nocheck>,
  systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git

## rauc 1.8

=== debian/changelog ===
rauc (1.8-2) unstable; urgency=high

  * Add a patch making a floating point check more lax. It failed on i386 due
    to excess precision of floating point on that architecture.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 26 Oct 2022 10:02:06 +0200

rauc (1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 05 Oct 2022 10:59:21 +0200

rauc (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.1.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 07 Sep 2022 15:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  squashfs-tools <!nocheck>,
  systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git

## rauc 1.10.1

=== debian/changelog ===
rauc (1.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper dependency to 13.

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 07 Aug 2023 21:04:10 +0200

rauc (1.9-1) experimental; urgency=medium

  * New upstream release.
  * Enable streaming support.
  * Update standards version to 4.6.2.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 05 Apr 2023 00:09:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  casync <!nocheck>,
  dbus <!nocheck>,
  dbus-x11 <!nocheck>,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  e2fsprogs <!nocheck>,
  faketime <!nocheck>,
  grub-common <!nocheck>,
@@ -14,8 +14,9 @@
  libdbus-1-dev,
  libengine-pkcs11-openssl <!nocheck>,
  libfdisk-dev,
- libglib2.0-dev (>= 2.40),
+ libglib2.0-dev (>= 2.56),
  libjson-glib-dev,
+ libnl-genl-3-dev,
  libssl-dev | libssl1.0-dev,
  libtool,
  opensc <!nocheck>,
@@ -25,7 +26,7 @@
  squashfs-tools <!nocheck>,
  systemd,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh_installsystemd --no-enable --no-start
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gpt
+	dh_auto_configure -- --enable-gpt --enable-streaming

## rauc 1.11

=== debian/changelog ===
rauc (1.11-1) unstable; urgency=medium

  * Switch to use meson over autoconf as upstream will probably drop autoconf
    for the next release.
  * Drop explicit -Wl,--as-needed which is enabled by default since bullseye.
  * New upstream release

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 22 Dec 2023 21:11:28 +0100

rauc (1.10.1-2) unstable; urgency=medium

  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052704)
    Bug report and patch by Helmut Grohne which was applied nearly unchanged.
    Thanks!

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 03 Oct 2023 14:19:45 +0200

=== debian/control ===
--- 
+++ 
@@ -19,12 +19,15 @@
  libnl-genl-3-dev,
  libssl-dev | libssl1.0-dev,
  libtool,
+ meson,
  opensc <!nocheck>,
  opensc-pkcs11 <!nocheck>,
  openssl <!nocheck>,
+ pkgconf,
  softhsm2 <!nocheck>,
  squashfs-tools <!nocheck>,
  systemd,
+ systemd-dev | systemd (<< 254.1-3~),
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/rauc/rauc

## rauc 1.11.3

=== meson_options.txt ===
--- 
+++ 
@@ -61,7 +61,17 @@
 
 # build options
 option(
+  'htmldocs',
+  type : 'boolean',
+  value : 'false',
+  description : 'Enable/Disable HTML documentation')
+option(
   'tests',
   type : 'boolean',
   value : 'true',
   description : 'Enable/Disable test suite')
+option(
+  'fuzzing',
+  type : 'boolean',
+  value : 'false',
+  description : 'Enable/Disable fuzz tests')

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.13.1
    # via sphinx
certifi==2023.7.22
    # via requests
charset-normalizer==3.3.1
    # via requests
contourpy==1.1.1
    # via matplotlib
cycler==0.12.1
    # via matplotlib
docutils==0.18.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
fonttools==4.43.1
    # via matplotlib
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
kiwisolver==1.4.5
    # via matplotlib
markupsafe==2.1.3
    # via jinja2
matplotlib==3.8.0
    # via sphinxext-opengraph
numpy==1.26.1
    # via
    #   contourpy
    #   matplotlib
packaging==23.2
    # via
    #   matplotlib
    #   sphinx
pillow==10.1.0
    # via matplotlib
pygments==2.16.1
    # via sphinx
pyparsing==3.1.1
    # via matplotlib
python-dateutil==2.8.2
    # via matplotlib
requests==2.31.0
    # via sphinx
six==1.16.0
    # via python-dateutil
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.6
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-jquery
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxext-opengraph
sphinx-rtd-theme==1.3.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
sphinxext-opengraph==0.8.2
    # via -r requirements.in
urllib3==2.0.7
    # via requests

=== debian/changelog ===
rauc (1.11.3-2) unstable; urgency=medium

  * Add libubootenv-tool to Suggests for fw_printenv and fw_setenv.
    Thanks to Heiko Thiery for this hint.
  * Disable faketime tests if faketime is available but broken (Closes:
    #1068054)

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 05 Apr 2024 10:05:47 +0200

rauc (1.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 18 Mar 2024 18:19:28 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  pkgconf,
  softhsm2 <!nocheck>,
  squashfs-tools <!nocheck>,
- systemd,
  systemd-dev | systemd (<< 254.1-3~),
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -48,6 +47,7 @@
  e2fsprogs,
  efibootmgr,
  grub-common,
+ libubootenv-tool | u-boot-tools (<< 2019.10~rc4+dfsg-1~),
  mtd-utils,
  squashfs-tools,
  u-boot-tools,

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/\.tar\.xz$/$0.asc/,\
searchmode=plain,\
uversionmangle=s/-rc/~rc/ \
  https://api.github.com/repos/rauc/@PACKAGE@/releases \
  https://github.com/rauc/@PACKAGE@/releases/download/v(?:\d[0-9.]*)/@PACKAGE@-(\d[0-9.]*(?:-rc\d*)?)@ARCHIVE_EXT@

## rauc 1.12

=== debian/changelog ===
rauc (1.12-1) unstable; urgency=medium

  *  New upstream release.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 30 Oct 2024 16:06:49 +0100

## rauc 1.13

=== meson_options.txt ===
--- 
+++ 
@@ -44,6 +44,11 @@
   value : '',
   description : 'Directory for systemd service files')
 option(
+  'systemdcatalogdir',
+  type : 'string',
+  value : '',
+  description : 'Directory for systemd journal catalog files')
+option(
   'dbuspolicydir',
   type : 'string',
   value : '',

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==0.7.16
    # via sphinx
babel==2.15.0
    # via sphinx
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.20.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via sphinx
pygments==2.18.0
    # via sphinx
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.4.5
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
    #   sphinxext-opengraph
sphinx-rtd-theme==2.0.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxext-opengraph==0.9.1
    # via -r requirements.in
urllib3==2.2.2
    # via requests

=== debian/changelog ===
rauc (1.13-3) unstable; urgency=medium

  * Add patches from upstream to prevent an incompatibility introduced in
    OpenSSL 3.5 in the test suite. Thanks to Jan Lübbe for quickly producing a
    fix. (Closes: #1102969)

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 16 Apr 2025 08:14:43 +0200

rauc (1.13-2) unstable; urgency=medium

  * Add fakeroot to Build-Depends (Closes: #1101253) and Suggests

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 25 Mar 2025 10:09:57 +0100

rauc (1.13-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.2 (no further changes needed)
  * Drop build dependency on dbus-x11. Thanks to Simon McVittie and Jan Lübbe
    for their changes that made this possible (Closes: #1079612)

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 03 Feb 2025 10:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends:
  casync <!nocheck>,
  dbus <!nocheck>,
- dbus-x11 <!nocheck>,
  debhelper-compat (= 13),
  e2fsprogs <!nocheck>,
+ fakeroot <!nocheck>,
  faketime <!nocheck>,
  grub-common <!nocheck>,
  libcurl4-gnutls-dev | libcurl-dev,
@@ -28,7 +28,7 @@
  squashfs-tools <!nocheck>,
  systemd-dev | systemd (<< 254.1-3~),
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git
@@ -46,6 +46,7 @@
  dosfstools,
  e2fsprogs,
  efibootmgr,
+ fakeroot,
  grub-common,
  libubootenv-tool | u-boot-tools (<< 2019.10~rc4+dfsg-1~),
  mtd-utils,

## rauc 1.14

=== meson_options.txt ===
--- 
+++ 
@@ -29,6 +29,11 @@
   type : 'feature',
   value : 'auto',
   description : 'Enable/Disable GPT support')
+option(
+  'composefs',
+  type : 'feature',
+  value : 'disabled',
+  description : 'Enable/Disable composefs artifact installation support')
 
 # other options
 option(

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
alabaster==1.0.0
    # via sphinx
babel==2.17.0
    # via sphinx
certifi==2025.1.31
    # via requests
charset-normalizer==3.4.1
    # via requests
docutils==0.21.2
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.5
    # via sphinx
markupsafe==3.0.2
    # via jinja2
packaging==24.2
    # via sphinx
pygments==2.19.1
    # via sphinx
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==8.1.3
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
    #   sphinxext-opengraph
sphinx-rtd-theme==3.0.2
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxext-opengraph==0.9.1
    # via -r requirements.in
urllib3==2.3.0
    # via requests

=== debian/changelog ===
rauc (1.14-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Drop obsolete address of the FSF.
  * Update standards version to 4.7.2 (no further changes needed)

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 29 Sep 2025 13:39:36 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libdbus-1-dev,
  libengine-pkcs11-openssl <!nocheck>,
  libfdisk-dev,
- libglib2.0-dev (>= 2.56),
+ libglib2.0-dev (>= 2.64),
  libjson-glib-dev,
  libnl-genl-3-dev,
  libssl-dev | libssl1.0-dev,
@@ -28,7 +28,7 @@
  squashfs-tools <!nocheck>,
  systemd-dev | systemd (<< 254.1-3~),
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

# used in rauc-service.install to install rauc.service
export systemdsystemunitdir = $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)

%:
	dh $@ --without=autoreconf --buildsystem=meson

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_configure:
	dh_auto_configure -- -Dgpt=enabled -Dstreaming=true

## rauc 1.15

=== meson_options.txt ===
--- 
+++ 
@@ -2,22 +2,22 @@
 option(
   'service',
   type : 'boolean',
-  value : 'true',
+  value : true,
   description : 'Enable/Disable background service')
 option(
   'create',
   type : 'boolean',
-  value : 'true',
+  value : true,
   description : 'Enable/Disable bundle creation and modification commands')
 option(
   'network',
   type : 'boolean',
-  value : 'true',
+  value : true,
   description : 'Enable/Disable network update mode')
 option(
   'streaming',
   type : 'boolean',
-  value : 'true',
+  value : true,
   description : 'Enable/Disable streaming update mode')
 option(
   'json',
@@ -34,6 +34,11 @@
   type : 'feature',
   value : 'disabled',
   description : 'Enable/Disable composefs artifact installation support')
+option(
+  'pkcs11_engine',
+  type : 'boolean',
+  value : true,
+  description : 'Enable/Disable OpenSSL PKCS11 engine support')
 
 # other options
 option(
@@ -73,15 +78,20 @@
 option(
   'htmldocs',
   type : 'boolean',
-  value : 'false',
+  value : false,
   description : 'Enable/Disable HTML documentation')
+option(
+  'manpages',
+  type : 'boolean',
+  value : false,
+  description : 'Enable/Disable building and installing manual pages')
 option(
   'tests',
   type : 'boolean',
-  value : 'true',
+  value : true,
   description : 'Enable/Disable test suite')
 option(
   'fuzzing',
   type : 'boolean',
-  value : 'false',
+  value : false,
   description : 'Enable/Disable fuzz tests')

=== docs/requirements.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
     # via sphinx
 babel==2.17.0
     # via sphinx
-certifi==2025.1.31
+certifi==2025.6.15
     # via requests
-charset-normalizer==3.4.1
+charset-normalizer==3.4.2
     # via requests
 docutils==0.21.2
     # via
@@ -20,19 +20,21 @@
     # via requests
 imagesize==1.4.1
     # via sphinx
-jinja2==3.1.5
+jinja2==3.1.6
     # via sphinx
 markupsafe==3.0.2
     # via jinja2
-packaging==24.2
+packaging==25.0
     # via sphinx
-pygments==2.19.1
+pygments==2.19.2
     # via sphinx
-requests==2.32.3
+requests==2.32.4
     # via sphinx
-snowballstemmer==2.2.0
+roman-numerals-py==3.1.0
     # via sphinx
-sphinx==8.1.3
+snowballstemmer==3.0.1
+    # via sphinx
+sphinx==8.2.3
     # via
     #   -r requirements.in
     #   sphinx-rtd-theme
@@ -54,7 +56,7 @@
     # via sphinx
 sphinxcontrib-serializinghtml==2.0.0
     # via sphinx
-sphinxext-opengraph==0.9.1
+sphinxext-opengraph==0.10.0
     # via -r requirements.in
-urllib3==2.3.0
+urllib3==2.5.0
     # via requests

=== debian/changelog ===
rauc (1.15-1) unstable; urgency=medium

  * New upstream release
    A big thanks goes to Jan Lübbe who mentioned the needed adaptions to the
    Debian packaging even before I hit the respective problems!

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 10 Nov 2025 10:19:00 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  opensc-pkcs11 <!nocheck>,
  openssl <!nocheck>,
  pkgconf,
+ python3-sphinx-rtd-theme,
  softhsm2 <!nocheck>,
  squashfs-tools <!nocheck>,
  systemd-dev | systemd (<< 254.1-3~),

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_installsystemd --no-enable --no-start
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dgpt=enabled -Dstreaming=true
+	dh_auto_configure -- -Dgpt=enabled -Dstreaming=true -Dmanpages=true

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/rauc/@PACKAGE@/releases
Matching-Pattern: https://github.com/rauc/@PACKAGE@/releases/download/v(?:\d[0-9.]*)/@PACKAGE@-(\d[0-9.]*(?:-rc\d*)?)@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/@ARCHIVE_EXT@$/$0.asc/
Search-Mode: plain
Uversion-Mangle: s/-rc/~rc/

## rauc 1.15.1

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file is autogenerated by pip-compile with Python 3.11
+# This file is autogenerated by pip-compile with Python 3.13
 # by the following command:
 #
 #    pip-compile requirements.in
@@ -8,29 +8,33 @@
     # via sphinx
 babel==2.17.0
     # via sphinx
-certifi==2025.6.15
+certifi==2025.11.12
     # via requests
-charset-normalizer==3.4.2
+charset-normalizer==3.4.4
     # via requests
 docutils==0.21.2
     # via
     #   sphinx
     #   sphinx-rtd-theme
-idna==3.10
+idna==3.11
     # via requests
 imagesize==1.4.1
     # via sphinx
 jinja2==3.1.6
     # via sphinx
-markupsafe==3.0.2
+markupsafe==3.0.3
     # via jinja2
 packaging==25.0
     # via sphinx
 pygments==2.19.2
     # via sphinx
-requests==2.32.4
+requests==2.32.5
     # via sphinx
-roman-numerals-py==3.1.0
+roman-numerals==4.1.0
+    # via
+    #   roman-numerals-py
+    #   sphinx
+roman-numerals-py==4.1.0
     # via sphinx
 snowballstemmer==3.0.1
     # via sphinx
@@ -56,7 +60,7 @@
     # via sphinx
 sphinxcontrib-serializinghtml==2.0.0
     # via sphinx
-sphinxext-opengraph==0.10.0
+sphinxext-opengraph==0.13.0
     # via -r requirements.in
-urllib3==2.5.0
+urllib3==2.6.2
     # via requests

=== debian/changelog ===
rauc (1.15.1-1) unstable; urgency=medium

  * Drop casync from B-D and Suggest as it was removed from forky/testing.
  * Update d/copyright to match reality again
  * Update standards version to 4.7.3.

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 19 Jan 2026 13:59:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: rauc
 Section: admin
-Priority: optional
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Build-Depends:
- casync <!nocheck>,
  dbus <!nocheck>,
  debhelper-compat (= 13),
  e2fsprogs <!nocheck>,
@@ -29,7 +27,7 @@
  squashfs-tools <!nocheck>,
  systemd-dev | systemd (<< 254.1-3~),
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rauc/rauc
 Vcs-Browser: https://salsa.debian.org/debian/rauc
 Vcs-Git: https://salsa.debian.org/debian/rauc.git
@@ -42,7 +40,6 @@
  dbus,
  systemd,
 Suggests:
- casync,
  cryptsetup-bin,
  dosfstools,
  e2fsprogs,
